Subject: [quicwg/base-drafts] Make RFC 6928 normative (#3245)

From: Jana Iyengar <[email-masked]>
Date: Sat, 16 Nov 2019 20:39:51 -0800

Gorry notes that we don't have a normative reference to 6928, but we could. The discussion there is largely independent of TCP, so I agree that we could do a normative reference to it.

This might be a design issue. It creates an exception to not having normative references to TCP documents. I think it's ok and may even be useful in this case.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245

---

From: Christian Huitema <[email-masked]>
Date: Tue, 19 Nov 2019 19:04:06 -0800

Please don't do that. 6928 i experimental for a number of reasons, that's not an appropriate reference.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555815473

---

From: ianswett <[email-masked]>
Date: Tue, 19 Nov 2019 19:14:37 -0800

I'm siding with not making this or any other TCP RFCs normative, particularly since this is an experimental RFC.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555817639

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 19 Nov 2019 19:23:29 -0800

My concern is exactly that ... and I'll say why I think this needs thought:

RFC6828 reflects the consensus on using a larger IW, what is safe and how to use. Use of a larger initial window impacts all transports - this RFC was the first (and currently only) decision to allow more in the initial handshake period, even though that was only  EXP -  I did not see data for QUIC analysed, so I think QUIC has followed/joined that experiment, but is not itself an EXP.

If the IETF updates the decisions in RFC6298 because of safety concerns I think this impacts all protocols.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555819489

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 19 Nov 2019 19:53:37 -0800

A down reference to an experimental RFC is not a problem. If you believe that we shouldn't be using recommendations from an experimental RFC, we should be doing IW 4.

That said, after hearing the comments at the mic today, I am now of the opinion that we don't need a *normative* reference to 6928. Having a reference to it for rationale is important, but it doesn't need to be normative.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555825809

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 19 Nov 2019 19:56:03 -0800

Gorry: When the IETF updates decisions in 6928, it seems to me that it will affect the rationale in QUIC, whether this reference is normative or not.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555826225

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 19 Nov 2019 21:49:52 -0800

:-). Agree. 

So,  another way to this could be to look again at the text ("Taken from" my not be enough),  and be sure the text says the correct thing.

Gorry

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555849580

---

From: Gorry Fairhurst <[email-masked]>
Date: Tue, 19 Nov 2019 22:13:58 -0800

:-) Agree.

Since the WG chooses to keep the ref as Informative, could we choose clearer words rather than "Taken from"? ....  Initial suggestion to start with:
"This follows the analysis and recommendations in [RC6928], increasing the byte limit to account for the smaller 8 byte overhead of UDP compared to the overhead for TCP". 

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/issues/3245#issuecomment-555855947